#if !defined(AFX_FINDVIEW_H__05706028_1CEC_45B3_8406_E01C2630C343__INCLUDED_)
#define AFX_FINDVIEW_H__05706028_1CEC_45B3_8406_E01C2630C343__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FindView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFindView view

class CFindView : public CListView
{
protected:
	CFindView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CFindView)

// Attributes
public:

// Operations
public:
	CPtrList m_listKeyType;
	int FindNodes(CNodeObject *);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFindView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CFindView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CFindView)
	afx_msg void OnItemchanged(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FINDVIEW_H__05706028_1CEC_45B3_8406_E01C2630C343__INCLUDED_)
